Bug 669252 - [XEN]RHEL6 guest fail to save/restore
Summary: [XEN]RHEL6 guest fail to save/restore
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Igor Mammedov
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks: 523117
TreeView+ depends on / blocked
 
Reported: 2011-01-13 02:02 UTC by yang
Modified: 2013-01-09 23:28 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 11:59:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0542 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 6.1 kernel security, bug fix and enhancement update 2011-05-19 11:58:07 UTC

Description yang 2011-01-13 02:02:57 UTC
Description of problem:
I am doing Xen testing now. And i found use RHEL6 as guest have a problem that it fail to save/restore. When i try to save the rhel6 guest, it always throw timeout. And only rhel6 have this issue. Fedora 13 and ubuntu10.4 doesn't have this issue.

I don't know whether this is a appropriate component to open this bug. If not, please move it to the right place.


Version-Release number of selected component (if applicable):
latest xen-unstable tree

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 RHEL Program Management 2011-01-13 02:28:29 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 3 Pasi Karkkainen 2011-01-13 07:37:56 UTC
Additional note: Afaik this problem is about RHEL6 Xen HVM guest, using PV-on-HVM drivers.

Comment 4 RHEL Program Management 2011-02-01 06:03:33 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 5 Andrew Jones 2011-02-01 16:22:36 UTC
This bug is way too short on details. What's the guest kernel release? What type of guest? (I'm currently assuming Pasi identified it correctly, but would have liked to see it in the original report.) What about the host? I see it's xen-unstable, but what c/s? Does save/restore of this guest work on a RHEL5.5 (5.6-beta) host? What does "throw timeout" mean? i.e. what exactly is the error message.

All that said, I have a feeling that I know what the problem is, and I think that we've already got it fixed for 6.1. Did the guest crash on a BUG()? Specifically the BUG in alloc_system_vector(): line 351 of arch/x86/include/asm/desc.h If so, then we should have it fixed, and we can probably even find a way to get you a test kernel to confirm. We don't generally test on xen-unstable ourselves.

Comment 6 RHEL Program Management 2011-02-01 19:06:14 UTC
This request was erroneously denied for the current release of
Red Hat Enterprise Linux.  The error has been fixed and this
request has been re-proposed for the current release.

Comment 9 RHEL Program Management 2011-02-24 15:00:05 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.

Comment 11 yang 2011-05-10 01:02:39 UTC
Unfortunately, i still hit this issue with rhel6.1.

Comment 12 Andrew Jones 2011-05-10 08:38:59 UTC
(In reply to comment #11)
> Unfortunately, i still hit this issue with rhel6.1.

We're going to need to know a lot more about the test environment and bug then, or there's nothing we can do to try reproducing/fixing it. See comment 5 for a list of questions that are still unanswered. Without details I'll have to close this as insufficient info.

Comment 13 yang 2011-05-11 01:01:12 UTC
I used rhel6 GA for testint. Here is the step to reproduce it:
1. install latest(23300) xen in your machine
2. install rhel6 as guest 
3. bootup the guest
4. using xl save dom_id snapshot_file to save guest
then you will see the error:
[root@vt-snb3 var]# xl save 32 snapshot_1
Saving to snapshot_1 new xl format (info 0x0/0x0/14817)
libxl: error: libxl_dom.c:420:libxl__domain_suspend_common_callback guest didn't acknowledge suspend, cancelling request
libxl: error: libxl_dom.c:441:libxl__domain_suspend_common_callback guest didn't acknowledge suspend, request cancelled
xc: error: Suspend request failed: Internal error
xc: error: Domain appears not to have suspended: Internal error
libxl: error: libxl_dom.c:519:libxl__domain_suspend_common saving domain: domain did not respond to suspend request: Success
xl: fatal error: xl_cmdimpl.c:2376: Unknown error 18446744073709551608: libxl_domain_suspend(ctx, NULL, domid, fd)

This issue only reproduce with rhel6 guest, rhel5.5 and rhel5.6 don't have the problem.

Comment 18 errata-xmlrpc 2011-05-19 11:59:53 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0542.html


Note You need to log in before you can comment on or make changes to this bug.